LOGB(3)

NAME
logb - return exponent as a floating-point number

SYNOPSIS
#include <math.h>
double
logb(double x);
long double
logbl(long double x);
float
logbf(float x);

DESCRIPTION
The logb() functions return the exponent of x, represented as a floating-point number.

SPECIAL VALUES
logb(±0) returns -infinity and raises the "divide-by-zero" floating-point exception.

logb(±infinity) returns +infinity.

VECTOR OPERATIONS
If you need to apply the logb() functions to SIMD vectors or arrays, using the following functions provided by the Accelerate.framework may give significantly better performance:

#include <Accelerate/Accelerate.h>

vFloat vlogbf(vFloat x);
void vvlogbf(float *y, const float *x, const int *n);
void vvlogb(double *y, const double *x, const int *n);

SEE ALSO
ilogb(3) log(3) math(3)

STANDARDS
The logb() functions conform to ISO/IEC 9899:2011.